Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Oct 2021 20:12:33 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Oct 2021 19:43:34 +0300
> 
> > Thanks.  What if the function in tab-bar-format returns nil -- how is
> > that handled?
> 
> Interesting question, I tried this
> 
>   (add-hook 'tab-bar-format 'ignore 1)
> 
> and everything still works fine.

I'm afraid this doesn't help me.  The doc strings says:

  Every item in the list is a function that returns
  a string, or a list of menu-item elements, or nil.

I now have a good idea what to say about return values that are
strings and those that are lists of menu items.  What do I say about
return values of nil? what is their effect on the tab bar's
appearance?  Are you saying that there's no effect whatsoever?